sample23.cpp File Reference

Example: interval_enumerator<> - interator class for intervals. More...

`#include <iostream>`
`#include <assert.h>`
`#include "bm.h"`
`#include "bmintervals.h"`
`#include "bmundef.h"`
Include dependency graph for sample23.cpp:

Go to the source code of this file.

## Typedefs

typedef bm::interval_enumerator< bm::bvector<> > | interval_enumerator_type

## Functions

int | main (void)

## Detailed Description

Example: interval_enumerator<> - interator class for intervals.

Definition in file sample23.cpp.

## Typedef Documentation

## interval_enumerator_type

typedef bm::interval_enumerator<bm::bvector<> > interval_enumerator_type

Examples
  sample23.cpp, svsample07a.cpp, and xsample08.cpp.

Definition at line 52 of file sample23.cpp.

## Function Documentation

## main()

int main | ( | void |  | ) |

Definition at line 54 of file sample23.cpp.

References bm::interval_enumerator< BV >::advance(), bm::BM_GAP, bm::interval_enumerator< BV >::end(), bm::pair< First, Second >::first, bm::interval_enumerator< BV >::get(), bm::interval_enumerator< BV >::go_to(), bm::bvector< Alloc >::optimize(), bm::pair< First, Second >::second, bm::bvector< Alloc >::set_range(), bm::interval_enumerator< BV >::start(), and bm::interval_enumerator< BV >::valid().